Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.jndi
Class KernelInitializingContextFactory

    java.lang.Object
      org.jboss.naming.JBossRemotingContextFactory
          org.jboss.embedded.jndi.KernelInitializingContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory, javax.naming.spi.ObjectFactory

    public class KernelInitializingContextFactory

extends JBossRemotingContextFactory

InitialContextFactory that will bootstrap embedded jboss. If Context.SECURITY_PRINCIPAL and Context.SECURITY_CREDENTIALS are set, this InitialContextFactory implementation combines the authentication phase with the InitialContext creation. During the getInitialContext callback from the JNDI naming, layer security context identity is populated with the username obtained from the Context.SECURITY_PRINCIPAL env property and the credentials from the Context.SECURITY_CREDENTIALS env property. There is no actual authentication of this information. It is merely made available to the jboss transport layer for incorporation into subsequent invocations. Authentication and authorization will occur on the server. If Context.SECURITY_PROTOCOL is provided as well as the principal and credentials, then a JAAS login will be performed instead using the security domain provided with the SECURITY_PROTOCOL variable.

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary
`static java.lang.String` | `BOOTSTRAP_RESOURCE_PATH`
`static boolean` | `initialized`

Constructor Summary
`KernelInitializingContextFactory()`

Method Summary
`static void` | `bootstrapEmbeddedKernel(java.util.Hashtable env)`
`javax.naming.Context` | `getInitialContext(java.util.Hashtable env)`

Methods inherited from class org.jboss.naming.JBossRemotingContextFactory
`getObjectInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialized

    public static boolean initialized

### BOOTSTRAP_RESOURCE_PATH

    public static final java.lang.String BOOTSTRAP_RESOURCE_PATH

See Also:
  Constant Field Values

Constructor Detail

### KernelInitializingContextFactory

    public KernelInitializingContextFactory()

Method Detail

### bootstrapEmbeddedKernel

    public static void bootstrapEmbeddedKernel(java.util.Hashtable env)

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable env)
                                           throws javax.naming.NamingException

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Overrides:
    `getInitialContext` in class `JBossRemotingContextFactory`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD